Bug 5879 - Can't install dkms-fglrx for the latest kernel 3.18.x
: Can't install dkms-fglrx for the latest kernel 3.18.x
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-03 09:59 MSD by Andrey Ponomarenko
Modified: 2015-07-03 11:09 MSD (History)
0 users

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:


Attachments
Build log of 14.301 for kernel 3.18 (2.50 KB, text/plain)
2015-07-03 09:59 MSD, Andrey Ponomarenko
Details
Build log of 15.101 for kernel 3.18 (2.87 KB, text/plain)
2015-07-03 10:00 MSD, Andrey Ponomarenko
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Ponomarenko 2015-07-03 09:59:00 MSD
Description of problem:

Can't install dkms-fglrx (both 14.301 and 15.101) for the latest kernel 3.18.x. The build of this module is failed. The build is OK for kernel 3.14.x and 4.0.x.

http://abf-downloads.rosalinux.ru/kernels_3_18x_personal/repository/rosa2014.1/x86_64/main/release/

Version-Release number of selected component (if applicable): R5 KDE


How reproducible: always


Steps to Reproduce:
1. Install kernel 3.18
2. Install fglrx
3.
Comment 1 Andrey Ponomarenko 2015-07-03 09:59:39 MSD
Created attachment 4170 [details]
Build log of 14.301 for kernel 3.18
Comment 2 Andrey Ponomarenko 2015-07-03 10:00:14 MSD
Created attachment 4171 [details]
Build log of 15.101 for kernel 3.18
Comment 3 Andrey Ponomarenko 2015-07-03 10:22:37 MSD
Seems that this is due to the change from 24 Jun 2015 in kernel 3.18.17: http://www.spinics.net/lists/stable/msg95159.html
Comment 4 Andrey Ponomarenko 2015-07-03 11:09:27 MSD
Fixed in fglrx-15.101.1001-2.

HW probe: http://hw.rosalinux.ru/index.php?probe=a620d63427